/**
 * The code to exit an action
 */
export declare enum ExitCode {
    /**
     * A code indicating that the action was successful
     */
    Success = 0,
    /**
     * A code indicating that the action was a failure
     */
    Failure = 1,
    /**
     * A code indicating that the action is complete, but neither succeeded nor failed
     */
    Neutral = 78
}
/**
 * Exit the action as a success.
 */
export declare function success(): void;
/**
 * Exit the action as a failure.
 */
export declare function failure(): void;
/**
 * Exit the action neither a success or a failure
 */
export declare function neutral(): void;
